Subject: bug#66929: closed (Re: [bug#66929] [PATCH 00/10] Add python-quadpy and dependencies.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Dec 2023 21:24:02 +0000

Your bug report

#66929: [PATCH 00/10] Add python-quadpy and dependencies.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66929: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66929
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66929] [PATCH 00/10] Add python-quadpy and dependencies.
From: Ludovic Courtès <[email-masked]>
To: Felix Gruber <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Dec 2023 22:23:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Felix,

Felix Gruber <[email-masked]> skribis:

> This patchset adds the quadpy Python library which collects a large
> number of different numerical integration algorithms.
>
> I've packaged a fork of the last GPL-licensed version of quadpy. Newer
> versions are distributed under a proprietary license and the history of
> the original git repository on https://github.com/nschloe/quadpy had
> been removed (hence I'm referring to a fork in the source and home-page
> fields). The same holds for the python-orthopy, python-ndim,
> python-accupy and python-meshzoo packages.
> Also, quadpy stores some required data files via git-lfs. I couldn't
> figure out how to download those git-lfs stored files in the source of
> the python-quadpy package. In the end, I resorted to instead point the
> source field to a zip file that contained the source code including
> those data files.
>
> Felix Gruber (10):
>   gnu: Add python-meshzoo.
>   gnu: Add python-matplotx.
>   gnu: Add python-npx.
>   gnu: Add python-cplot.
>   gnu: Add python-perfplot.
>   gnu: Add python-pyfma.
>   gnu: Add python-accupy.
>   gnu: Add python-ndim.
>   gnu: Add python-orthopy.
>   gnu: Add python-quadpy.

I applied the whole series with one change: replaced ‘gpl3’ with ‘gpl3+’
because these packages were all explicitly or implicitly “version 3 or
any later version”.

Thanks, and sorry for the delay!

Ludo’.

Subject: [PATCH 00/10] Add python-quadpy and dependencies.
From: Felix Gruber <[email-masked]>
To: [email-masked]
Cc: Felix Gruber <[email-masked]>
Date: Sat, 4 Nov 2023 15:00:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This patchset adds the quadpy Python library which collects a large
number of different numerical integration algorithms.

I've packaged a fork of the last GPL-licensed version of quadpy. Newer
versions are distributed under a proprietary license and the history of
the original git repository on https://github.com/nschloe/quadpy had
been removed (hence I'm referring to a fork in the source and home-page
fields). The same holds for the python-orthopy, python-ndim,
python-accupy and python-meshzoo packages.
Also, quadpy stores some required data files via git-lfs. I couldn't
figure out how to download those git-lfs stored files in the source of
the python-quadpy package. In the end, I resorted to instead point the
source field to a zip file that contained the source code including
those data files.

Felix Gruber (10):
  gnu: Add python-meshzoo.
  gnu: Add python-matplotx.
  gnu: Add python-npx.
  gnu: Add python-cplot.
  gnu: Add python-perfplot.
  gnu: Add python-pyfma.
  gnu: Add python-accupy.
  gnu: Add python-ndim.
  gnu: Add python-orthopy.
  gnu: Add python-quadpy.

 gnu/local.mk                                  |   4 +-
 gnu/packages/maths.scm                        | 145 ++++++++++++++++++
 .../python-accupy-fix-use-of-perfplot.patch   |  48 ++++++
 .../patches/python-accupy-use-matplotx.patch  | 113 ++++++++++++++
 gnu/packages/python-science.scm               |  52 ++++++-
 gnu/packages/python-xyz.scm                   | 110 ++++++++++++-
 6 files changed, 469 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/python-accupy-fix-use-of-perfplot.patch
 create mode 100644 gnu/packages/patches/python-accupy-use-matplotx.patch

base-commit: 9dcd8802f5bc472579f23a38dcf437f8a9ac976c
-- 
2.42.0